# Uses of Class
org.eclipse.jface.action.SubContributionItem

Packages that use SubContributionItem
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.

## Uses of SubContributionItem in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return SubContributionItem
Modifier and Type
Method
Description
`protected SubContributionItem`
SubContributionManager.`wrap(IContributionItem item)`
Wraps a contribution item in a sub contribution item, and returns the new wrapper.
Methods in org.eclipse.jface.action that return types with arguments of type SubContributionItem
Modifier and Type
Method
Description
`Enumeration<SubContributionItem>`
SubContributionManager.`items()`
Deprecated.
Use getItems(String value) instead.
Methods in org.eclipse.jface.action with parameters of type SubContributionItem
Modifier and Type
Method
Description
`protected void`
SubContributionManager.`itemAdded(IContributionItem item, SubContributionItem wrap)`
Notifies that an item has been added.